LIBS += $(shell pkg-config --libs libsoup-2.4)
PLATFORM_CXXFLAGS := $(shell pkg-config --cflags libsoup-2.4)

INDEX_HTML := platform_$(PLATFORM)/index.html
INDEX_HTML_H := platform_$(PLATFORM)/index_html.h

platform_$(PLATFORM)/main.cpp: $(INDEX_HTML_H)

$(INDEX_HTML_H): $(INDEX_HTML)
	xxd -i $< >$@

PLATFORM_CLEAN_FILES += $(INDEX_HTML_H)
