
LIBS += -lm

PLATFORM_CXXFLAGS += -Iopengl_renderer
PLATFORM_SOURCES += $(wildcard opengl_renderer/*.cpp)

ifeq ($(EMSCRIPTEN),1)
    CXXFLAGS += -DUSE_OPENGL_ES
else
    ifeq ($(SAILFISH),1)
	LIBS += -lGLESv2
	CXXFLAGS += -DUSE_OPENGL_ES -DHARMATTAN
    else
	ifeq ($(HARMATTAN),1)
	    LIBS += -lGLESv2
	    CXXFLAGS += -DUSE_OPENGL_ES -DHARMATTAN
	else
	    ifeq ($(UNAME),Darwin)
		LIBS += -framework OpenGL -lSDLmain -framework Cocoa
	    else
		LIBS += -lGL
	    endif
	endif
    endif
endif

opengl_renderer/%_$(PLATFORM).o: opengl_renderer/%.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) $(PLATFORM_CXXFLAGS) $^

