CXX := em++
EMSCRIPTEN := 1

PLATFORM_TARGET := platform_$(PLATFORM)/$(PLATFORM_TARGET).js

EMSCRIPTEN_FLAGS := --js-library platform_$(PLATFORM)/tetrepetete_library.js
PLATFORM_CXXFLAGS += $(EMSCRIPTEN_FLAGS)
LIBS += $(EMSCRIPTEN_FLAGS)

PACKAGE_ZIP := platform_$(PLATFORM)/$(TARGET)-$(VERSION)-fxos.zip
PACKAGE_ASSETS += index.html manifest.webapp emtoucho.js
PACKAGE_ASSETS += icon256.png icon128.png icon120.png icon90.png icon60.png icon32.png

ZIP_ASSETS := $(patsubst %,platform_$(PLATFORM)/%,$(PACKAGE_ASSETS))

package: $(PACKAGE_ZIP)

$(PACKAGE_ZIP): $(PLATFORM_TARGET) $(ZIP_ASSETS)
	zip -j $@ $^

PLATFORM_CLEAN_FILES += $(PACKAGE_ZIP)

.PHONY: package

include opengl_renderer/platform.mk
